Kiel instali AceStream en Linukso kaj ne morti provante

Tiuj el ni, kiuj amas sportojn kaj ne havas aliron al ĉiuj aktualaj sportaj kanaloj, ĝenerale alfrontas la problemon, ke por ĝui ĝin ni devas uzi diversajn paĝojn, kiuj elsendas interretaj matĉoj, plej multaj el ili petas instalu AceStream, kiu tendencas esti iom kompleksa por instali linukse.

En ĉi tiu gvidilo ni instruos kiel instalu AceStream en Linukso sen morti en la provo, provizante solvojn al la plej oftaj problemoj hodiaŭ. Ĝia uzo kaj la enhavo al kiu vi aliras estas via plena respondeco.

Kio estas AceStream?

AceStream Ĝi estas a plurmedia platformo sufiĉe noviga, kio kondukis la reprodukton de aŭdvidaj filmoj en interreton al pli alta nivelo. Por tio, ĝi efektivigis universalan plurmedian alŝutan administrilon, kiu uzas la plej altnivelajn P2P-teknologiojn, garantiante efikan datumstokan kaj elsendan procezon.

La programaro Ace Stream ofertas al ni serion da avantaĝoj, en kiuj ni povas reliefigi:

  • Eblo vidi interretajn elsendojn (televido, personigitaj riveretoj, filmoj, bildstrioj, ktp), kun alta kvalito de aŭdio kaj bildo.
  • Aŭskultu muzikon interrete en formato, kiu ne perdas ian kvaliton.
  • Rigardu torentojn interrete, sen devi atendi, ke ĝi plene elŝuti.
  • Rigardu enhavon en foraj aparatoj (Apple TV, Chromecast, ktp.) Per komunikaj protokoloj kiel AirPlay, Google Cast kaj aliaj.
  • Permesas integriĝon kun diversaj aplikoj. Instalu AceStream en Linukso

Kiel instali AceStream en Linukso

Por instali AceStream en Linukso ni devas sekvi diversajn paŝojn depende de la distro, kiun vi uzas, ni fokusiĝos al Arch Linukso kaj Ubuntu, sed ni esperas, ke estonte povos instali ĝin sur aliaj distro.

Instalu AceStream sur Arch Linukso kaj derivaĵoj

La ĉefa kialo, ke mi kreis ĉi tiun artikolon, estas ĉar multaj havis problemojn instali AceStream sur Arch Linukso, Antergos, Manjaros kaj derivaĵoj, la ĉefa kaŭzo estas, ke la pkgbuild de la kromprogramo ĉiream-mozilla-plugin Ĝi donas eraron dum instalado, la solvo estas ege simpla.

Ni instalos la ĉiream-mozilla-plugin kiu ankaŭ instalos nin ĉiream-engine y ĉiream-ludanto-datumoj kiuj estas la pakaĵoj necesaj por reproduktiĝi AceStream de firefox.

Unue ni devas malfermi terminalon kaj plenumi la jenan komandon:
gpg --keyserver pgp.mit.edu --recv-keys FCF986EA15E6E293A5644F10B4322F04D67658D8

Ĝi solvos la konfirman problemon, kiu malebligas instali la dependecon necesan por instali ĉiream-mozilla-plugin.

Poste ni plenumas la jenan komandon

yaourt -S acestream-mozilla-plugin

Plurfoje ni demandos, ĉu ni volas instali diversajn dependecojn, ni devas diri jes al ĉiuj.

Instalu AceStream sur Ubuntu kaj derivaĵoj

Instalu AceStream sur Ubuntu 14.04 kaj derivaĵoj

Por uzantoj de Ubuntu kaj derivaĵoj ĝis la versio 14.04, la instalado de AceStream estos sufiĉe simpla, ili nur devas plenumi la jenajn komandojn de la fina stacio:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add - sudo apt-get update sudo apt-get install ĉiream-full

Instalu AceStream sur Ubuntu 16.04 kaj derivaĵoj

Tiuj, kiuj devos batali iom pli, estas la uzantoj de Ubuntu 16.04 kaj derivaĵoj, ĉar ĉiream ne havas subtenon por ĉi tiu versio, sed danke al ĉi tio artikolo, Mi sukcesis instali ĝin.

La unua afero, kiun ni faros, estas elŝuti kaj instali iujn dependecojn, kiujn vi ne povos elŝuti de la oficialaj deponejoj, certigu instali la taŭgajn por la arkitekturo de via distro:

64bit-arkitekturo:

  1. Elŝuti kaj instali libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb vi povas fari ĝin de la sekva ligilo: http://launchpadlibrarian.net/216005292/libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb
  2. Elŝutu kaj instalu laŭ la ordo en kiu estas prezentitaj la jenaj dependecoj:  acestream-player-compat_3.0.2-1.1_amd64.deb; acestream-engine_3.0.3-0.2_amd64.deb; acestream-player-data_3.0.2-1.1_amd64.deb; acestream-player_3.0.2-1.1_amd64.deb Vi povas elŝuti ĉiun de la sekva ligilo: https://drive.google.com/folderview?id= … e_web#list

32bit-arkitekturo:

  1. Elŝuti kaj instali libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb vi povas fari ĝin de la sekva ligilo: http://launchpadlibrarian.net/216005191/libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb
  2. Elŝutu kaj instalu laŭ la ordo en kiu estas prezentitaj la jenaj dependecoj: acestream-player-compat_3.0.2-1.1_i386.deb; acestream-engine_3.0.3-0.2_i386.deb; acestream-player-data_3.0.2-1.1_i386.deb; acestream-player_3.0.2-1.1_i386.deb Vi povas elŝuti ĉiun de la sekva ligilo: https://drive.google.com/folderview?id= … e_web#list

Poste ni devas daŭrigi per la kutima instalado de AceStream kiel ni faris por versio 14.04, malfermi terminalon kaj ekzekuti:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add - sudo apt-get update sudo apt-get install ĉiream-full

En iuj kazoj necesas komenci la servon acestream-engine.service, por tio ni ekzekutas la jenajn komandojn de la terminalo:

systemctl starti acestream-engine.service systemctl ebligi acestream-engine.service

Kun ĉi tiu lernilo ni esperas, ke vi povas ĝui ĉi tiun bonegan plurmedian transigan protokolon, kiu uzas la tutan kapablon de P2P-teknologio.


La enhavo de la artikolo aliĝas al niaj principoj de redakcia etiko. Por raporti eraron alklaku Ĉi tie.

41 komentoj, lasu la viajn

Lasu vian komenton

Via retpoŝta adreso ne estos eldonita. Postulita kampojn estas markita per *

*

*

  1. Respondeculo pri la datumoj: Miguel Ángel Gatón
  2. Celo de la datumoj: Kontrola SPAM, administrado de komentoj.
  3. Legitimado: Via konsento
  4. Komunikado de la datumoj: La datumoj ne estos komunikitaj al triaj krom per laŭleĝa devo.
  5. Stokado de datumoj: Datumbazo gastigita de Occentus Networks (EU)
  6. Rajtoj: Iam ajn vi povas limigi, retrovi kaj forigi viajn informojn.

  1.   Julio Cesar Campos diris

    Nu la afiŝo sed almenaŭ en archlinux kaj jen mia kazo vi bezonas: "systemctl startu ĉiream-engine.service" kaj "systemctl ebligi acestream-engine.service" por ke ĝi funkciu.

    1.    lacerto diris

      Ĉu vi testis ĝin de Firefox, aŭ ĉu vi uzis alian retumilon?

  2.   UserDebian diris

    Ĉu iu scias kiel funkciigi ĝin sur Debian 9?

  3.   Julio Cesar Campos diris

    Fajrovulpo ĉe archlinux

  4.   gekoks diris

    Mi ne scias, ĉu mia antaŭa komento estis publikigita ... Mi ripetas! Mi bezonas ne scias kiom da horoj plenumas la diablan komandon en la terminalo, kaj tion mi metis –nokonfirmi, kaj finfine ĝi ne funkcias !!
    alia afiŝo senutila!

    instal-provo sur Manjaro

    1.    lacerto diris

      Kara, ke ĝi ne funkciis por vi, ĝi funkciis perfekte por mi, ĉiuokaze provu plenumi ĉi tiujn 2 komandojn:
      "Systemctl startu acestream-engine.service" kaj "systemctl ebligas ĉiream-engine.service"

  5.   Jozefo diris

    bona

    Mi sukcesis fari ĉiujn paŝojn senprobleme. Sed provante komenci la servon de la terminalo, ĝi kaŭzis al mi du malsukcesojn;
    systemctl starti acestream-engine.service
    Malsukcesis lanĉi acestream-engine.service: Unuo ĉiream-engine.service ne trovita.
    systemctl ebligi acestream-engine.service
    Malsukcesis plenumi operacion: neniu tia dosiero aŭ dosierujo

    1.    Gustavo diris

      Ĝuste la samo okazis al mi. la terminalo resaltas tiujn ordonojn al mi per tiuj fiaskoj.

  6.   Juan M diris

    Koran dankon pro la afiŝo! Se vi uzas Ubuntu 16.10 64 bitojn, vi ne povos instali "acestream-player-data_3.0.2-1.1_amd64.deb". Ili devas unue elŝuti kaj instali ĉi tiujn pakaĵojn:

    libavcodec-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    liblivemedia50_2016.02.09-1_amd64.deb
    libswresample-ffmpeg1_2.8.6-1ubuntu2_amd64.deb
    libavformat-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    libpng12-0_1.2.54-1ubuntu1_amd64.deb
    libswscale-ffmpeg3_2.8.6-1ubuntu2_amd64.deb
    libavutil-ffmpeg54_2.8.6-1ubuntu2_amd64.deb
    libpostproc-ffmpeg53_2.8.6-1ubuntu2_amd64.deb
    libwebp5_0.4.4-1.1_amd64.deb

    Probable necesas iu alia dependeco, kiu estas en la repos.
    Dankon!

  7.   mejloj diris

    Bone.
    La acestream-mozilla-plugin ĉesis funkcii en Firefox 52, kiel multaj aliaj NPAPI-kromaĵoj.

  8.   darco diris

    Alia tre bona kaj simpla eblo estas uzi docker kaj fariĝi agnostika de via operaciumo. Uzante la aceproxy, vi povas reprodukti ĝin-

    Mi verkis malgrandan lernilon kaj skripton, por faciligi la ekzekuton.
    https://gist.github.com/alex-left/7967dac44f2d2e31eabba2fae318a402

  9.   David Martin diris

    En la parto instali ĝin de Ubuntu 16.04, kiam vi diras elŝuti kaj instali tiujn dosierojn, kiel vi instalas ilin? Kiam mi elŝutas kaj ĉerpas ilin, iuj estas nur tipo libreoffice kaj aliaj, mi ne scias kiel "instali" ilin.
    Antaŭdankon kaj salutojn.
    David.

  10.   vafe diris

    Aŭ la klavoj ne funkcias denove, aŭ estas iu eraro en la pakaĵoj, sed en arch kaj manjaro ne eblas instali ĝin.
    Kiam vi provas instali dependecon (qwebquit) aŭ ion tian, ĝi eniras buklon kaj tute ne eblas.
    Ĉu iu trovis la solvon?
    danke

    1.    Aleksandro diris

      Saluton, por la instalado en arch linux vi devas fari la jenon:
      -Instali la pakaĵon 'acestream-launcher' de yaourt per 'yaourt -S acestream-launcher' (la pako, kiun ni tuj ebligos, estas aŭtomate elŝutita al vi)
      -Ebligu ĉiream-engine.service, ni eniras la terminalon kaj en ROOT-reĝimo ni metas la jenon
      -systemctl startu ĉiream-engine.service
      -systemctl ebligas ĉiream-engine.service
      Mi post ĉi tio rekomencis la ekipaĵon, mi ne scias, ĉu ĝi estos necesa, sed ĉiaokaze
      -Tio devas sufiĉi, sed en la lastaj Arch-ĝisdatigoj ili fuŝis ion kaj ĝi ne funkcias, do ili serĉis provizoran solvon, kiu estas elŝuti dosieron, jen:
      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz
      Fonto: https://aur.archlinux.org/packages/acestream-launcher/ (pri la komentoj)
      post kiam elŝutite, ni iras al la terminalo kaj iras al la dosierujo, kie ni elŝutis ĝin,
      Ni procedas instali ĝin per 'sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz' kaj jen, ĝi devas iri, la unuan fojon ĝi neniam iras, do mi alklakas duan fojon, la unuan fojon ĉiam donas eraron, jen ĉio

      PS: klarigu, ke la sudo pacman -U kaj ne -S ĉar ĝi estas loka pakaĵo akirita de makepkg

      1.    vafe diris

        Koran dankon pro via intereso.
        Mi provis tiel multajn fojojn, ke mi jam scias parkere la dependecojn kaj la komentojn al la pakaĵoj dum instalado kun yaourt. Mi sekvos viajn konsilojn per la lanĉilo kaj rigardos, ĉu mi bonŝancas. Mi diros al vi.
        Mi ripetas mian dankon

        felipe

        1.    vafe diris

          Iel aŭ alia ĝi ne funkcias. Mi provis per la ligilo, kiun vi enmetis en la komentojn, sed ĝi ne solvas ĝin, ĝi rekonas la ligon, ĝi donas al mi la eblon elekti la programon, mi elektas ĉiream-launcher sed la VLC ne malfermiĝas.
          En konzolo ĝi donas al mi la sekvan respondon.

          Dosiero «/usr/lib/python3.6/site-packages/psutil/en ĝi.py », linio 1231, en _send_signal
          os.kill (self.pid, sig)

          Ni devos atendi novajn ĝisdatigojn.
          Dankon pro via helpo.

  11.   vafe diris

    Post la nova ĝisdatigo, la respondo en konzolo estas la sekva.

    acestream-launcher acestream://0cec6c0299c99f45c1859398d150c3a48e6d8b2e
    Ĉiream motoro funkcias.
    2017-07-28 18: 16: 59,615 | MainThread | acestream | eraro dum ekfunkciigo
    Traceback (plej freŝa alvoko laste):
    Dosiero «core.c», linio 1590, en
    Dosiero «core.c», linio 144, en
    Dosiero «core.c», linio 2, en
    ImportError: ne povas importi nomon __m2crypto
    Eraro aŭtentikiganta ĉe Acestream!
    Media Player ne funkcias ...

    Ni pliboniĝas, nun ĝi agnoskas la acestream, sed la libcrypto daŭre batalas.

    1.    vafe diris

      Mi provis instali la pakon, kiun vi rekomendas en la ligilo, kiun vi sendis al mi.

      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

      Kaj ĝi efike solvas la problemon, vlc malfermiĝas kaj Acestream funkcias.
      Koran dankon pro via helpo-

      1.    Aleksandro diris

        Saluton, pardonu pro la malfruo, estis tre strange, ke ĝi ne funkciis por vi kiam ĝi okazis, mi estas en Arch-plasmo, mi ĝojas, ke ĝi helpis vin, jen kio

        En la alia distribuo, kiun mi havas, kiu estas Fedora, mi havas Vinon, kiu emas ĉiream por Windows xD, se vi iros al alia distro aŭ en la sama Arch, kio surprizas min estas, ke eĉ ne en Debian ili havas ĉi tiujn pakaĵojn ...

      2.    delikata faristo01 diris

        Saluton kaj la dosiero estas kiel ĝi estas instalita. Mi ankoraŭ estas novulo, saluto

        1.    vafe diris

          sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

          Li metas ĝin en la supran komenton

  12.   chemabs diris

    Hieraŭ mi instalis ĝin kiel klakan pakaĵon en Kde Neon 5.8 kaj mi miris pri tio, kiom simpla kaj rapida ĝi funkciis por mi. Estus bone se vi ĝisdatigus la artikolon ĉar ne ekzistas komparo, la procezo estas multe pli simpligita.

    sudo apt install snapd → instalu la sistemon pri mastrumado de pakaĵoj snap (se vi ne havas ĝin instalitan)
    klaku trovi ĉi streaming → por kontroli, ke ni havas la programon en la deponejoj (ĉiuj ubuntu-derivaĵoj devas havi ĝin)
    sudo klaku instali ĉireamplayer

    salutoj

    1.    Antonio Manzano diris

      Vi pravas. Mi ĵus instalis ĝin en kubuntu 17.10, ĉar la metodo, kiu aperas ĉi tie, estas tute neplenumebla. Mi tre dankas vin

      1.    Paĉjo diris

        ne validas por i386-arkitekturo

    2.    sie9k diris

      Ĝi estis la sola maniero instali ĝin sur Lubuntu 16.04.4, sed mi ne povas savi la agordan dosieron kaj mi bezonas agordi parametron por funkcii kune kun Serviio. Iu ideo por ripari ĝin?

  13.   Jose Antonio diris

    Tre bona afiŝo. Nepre legebla retpaĝo por linux-novuloj.

  14.   peter la novulo diris

    Kiel vi instalus ĝin por AntiX 16 (ĝi estas linuksa distribuo)?

    Mi provis kiel Arch Linukso kaj derivaĵoj, sed mi estas tia novulo, ke mi devas miskompreni ĝin

  15.   Aleksandro diris

    Saluton, kun sna-pakaĵoj, kiujn la supera kolego komentas en komento, ĝi fariĝis pli facila ne nur por ĉi tiuj distribuoj sed por multaj. La distribuoj kongruaj kun ĉi tiuj pakoj estas ĉi tie:
    https://snapcraft.io/

    En Debian ĝi estus jene:
    -sudo apt install snapd
    -suda klakinstala kerno
    -suda klako instali ĉireamplayer
    En Arko kaj derivaĵoj:
    -sudo pacman -S snapd
    -sudo systemctl ebligi –nun snapd.socket
    -suda klako instali ĉireamplayer

    En Arch (plasmo) mi devis rekomenci por ke la instalitaj pakaĵoj aperu, se ĝi ne aperas, vi jam scias, kion fari.

    Pri ubuntu kaj derivaĵoj mi supozas, ke ĝi estos kiel la partnero, kiu instalis ĝin supre en la komentoj kun KDE-neon.

    Estas kurioze, ke en Gnome kun Debian ĝi aspektas sufiĉe malbela kaj ne bone integras kun GTK sed en Arch-plasmo ĝi sufiĉe bone integras, la grava afero estas, ke ĝi estas vidata ekster la estetiko.

    1.    william diris

      ĉu ĉi tio instalas vin ĉiream-engine?
      Ne mi

      1.    Aleksandro diris

        Saluton, ne, vi ne instalas ĝin, nek bezonas, kun la klakaj pakaĵoj ĉiuj dependecoj estas kovritaj, ĝi devas funkcii jes aŭ jes.

    2.    ĉuber diris

      Saluton Alejandro, vidu ĉu vi povas helpi min
      [txuber @ manjaro ~] $ sudo systemctl enable –now snapd.socket
      Malsukcesis ebligi unuon: Unua dosiero \ xe2 \ x80 \ x93now.service ne ekzistas.
      on manjaro Manjaro XFCE Edition (17.0.4) x64

      1.    Aleksandro diris

        Saluton, Manjaro estas, ke ĝi ne estas pura Arko kaj aferoj eble iom ŝanĝiĝos, eble ĝi jam estas ebligita kaj ne necesas fari tion, mi supozas, ke vi jam provis transsalti tiun paŝon ...

  16.   Debian diris

    Unufoje instalita, kion fari? Ĉar la asludanto ne estas instalita, mi ne scias kiel funkciigi ĝin.
    Iu helpu min bonvolu?

    1.    vafe diris

      Se vi instalis ĉi tiun lanĉilon, kiam vi alklakas ligon, ĉi tiu demandos vin per kiu aplikaĵo vi volas malfermi la ligon, vi diru al ĝi tion per VLC, kaj ĉi tiu plenumos la funkciojn de la asludanto.

      1.    Debian diris

        Saluton. Unue dankegon pro via helpo. Mi komentas. Mi instalis la ĉiream-klakan pakaĵon en Debian 9 kun gnome. Kiam mi estas en arenavisión, por kio mi volas ĝin, mi alklakas ĉi-ligan ligon kaj aperas fenestro, kiu donas al mi du eblojn, la unua estas ĉi-realigi motoron, ke se mi alklakas ĝin, ĝi faras nenion kaj la dua estas elekti alian programon, mi donas ĝin elekti sed la instalitaj programoj ne malfermiĝas, mia hejma dosierujo malfermiĝas, do mi ne scias kiel elekti la vlc.

        Un saluto.

        1.    Aleksandro diris

          Kun la acestream-lanĉilo ĝi tute ne funkcias, pli bone estas instali kun la Snap-pakaĵo kiel mi klarigas en mia supra komento.

  17.   peter la novulo diris

    Mi provas instali la snapd-pakaĵon, sed ĝi ne permesas al mi:

    sudo apt instali snapd
    Leganta paka listo ... Farita
    Kreante dependecan arbon
    Legante la statajn informojn ... Finita
    E: La pakaĵo snapd ne povis troviĝi

    kion mi faras?

  18.   ALF diris

    Koran dankon, ĝi estas unu el la programoj, kiujn mi uzis en Windows kaj mi volis havi ĝin en linux

  19.   oscar diris

    Dankon Chemabs kaj Alejandro! Perfekta kun Ubuntu 17.10
    sudo apt instali snapd
    klaku trovi ĉi tiun kremon
    sudo klaku instali ĉireamplayer
    Kaj jen ĝi!
    La nekredebla afero estas, ke vi iras al la oficiala retejo kaj ili sendas al vi afiŝon en sia forumo de 2014! Kaj en kiu ili nur mencias ĝis Ubuntu 13.04!

  20.   Marco Barria diris

    bone, kiel oni diras en la antaŭaj komentoj, ĝi funkcias perfekte kun snapd en arko:

    sudo pacman -S snapd
    sudo systemctl ebligi snapd.socket
    reboot
    sudo klaku instali ĉireamplayer
    reboot

    kaj preta:

  21.   mchavez diris

    saluton, kaj ekzistas maniero instali as-fluon sen devi esti programisto ... kiel ĝi estas farita per fenestroj